Summary:	Excel 95/97 and PowerPoint to HTML converter
Summary(pl.UTF-8):	Konwerter z Excela 95/97 oraz PowerPointa do HTML
Name:		xlhtml
Version:	0.5.1
Release:	6
License:	GPL v2+
Group:		Applications/Text
#Source0:	http://downloads.sourceforge.net/chicago/%{name}.%{version}.tgz
Source0:	%{name}.%{version}.tgz
# Source0-md5:	deeb108545e1848fce5dcb8d84d8a48e
Patch0:		%{name}-shared.patch
Patch1:		%{name}-colors.patch
URL:		http://chicago.sourceforge.net/xlhtml/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Obsoletes:	xlHtml
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xlhtml program will take an Excel 95, or 97 file as input and
convert it to HTML. The output is via standard out so it can be
re-directed to files or piped to filters or used as a gateway to the
internet. pptHtml program converts PowerPoint files to HTML.

%description -l pl.UTF-8
Program xlhtml przyjmuje na wejście pliki Excela 95 lub 97 i
konwertuje je do HTML, wyrzucając na standardowe wyjście - które może
być przekierowane do innego filtru. Program pptHtml konwertuje pliki
PowerPointa do HTML.

%package devel
Summary:	Excel 95/97 to HTML converter development resources
Summary(pl.UTF-8):	Zasoby programistyczne xlhtml
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}
Obsoletes:	xlHtml-devel

%description devel
Excel 95/97 to HTML converter development resources.

%description devel -l pl.UTF-8
Zasoby programistyczne konwertera Excela 95/97 do HTML.

%package static
Summary:	Excel 95/97 to HTML converter static libraries
Summary(pl.UTF-8):	Statyczne biblioteki xlhtml
Group:		Applications/Text
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	xlHtml-static

%description static
Excel 95/97 to HTML converter static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki konwertera Excela 95/97 do HTML.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%{__rm} -r xlhtml/contrib/CVS

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install cole/cole-config $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc xlhtml/contrib xlhtml/{README,THANKS,TODO}
%attr(755,root,root) %{_bindir}/nsopen
%attr(755,root,root) %{_bindir}/nsxlview
%attr(755,root,root) %{_bindir}/nspptview
%attr(755,root,root) %{_bindir}/xlhtml
%attr(755,root,root) %{_bindir}/ppthtml
%attr(755,root,root) %{_libdir}/libcole.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcole.so.2
%{_mandir}/man1/ppthtml.1*
%{_mandir}/man1/xlhtml.1*

%files devel
%defattr(644,root,root,755)
%doc xlhtml/ChangeLog
%attr(755,root,root) %{_bindir}/cole-config
%attr(755,root,root) %{_libdir}/libcole.so
%{_libdir}/libcole.la
%{_includedir}/cole

%files static
%defattr(644,root,root,755)
%{_libdir}/libcole.a
%changelog
* Fri Jan 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xlhtml.git;a=log;h=master

* Tue Jan 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 906f70c
- verbose lib, man files
- cleanup, GPL version

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3e1d2a6
- ghost soname symlink
- rel 6

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 55b1d56
- dropped pre-cvs changelog

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c377ed5
- updated to 0.2.9.5.

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ce187b9
- converted to UTF-8

* Mon Sep 18 2006 Jakub Bogusz <qboosh@pld-linux.org> c7d5712
- updated to 0.2.9.3.

* Mon Sep 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 9469bcc
- argh, generate HTML color codes properly

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 464b861
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Wed Apr 07 2004 Adam Gołębiowski <adamg@pld-linux.org> faf6b62
- reelase 4.

* Mon Jun 23 2003 ankry <ankry@pld-linux.org> 2dd656b
- fixed md5: use sources from our cvs
NOTE: 0.5.1 does NOT exist on the project page; 0.5 is reported as newest
dead project ?

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 2c246ae
- release 3,
- regenerate automake/autoconf files (added autoconf, automake to BuildRequires),
- spec adapterized.

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 32e9d74
- massive attack s/pld.org.pl/pld-linux.org/

* Thu Feb 13 2003 Tomasz Pala <gotar@pld-linux.org> ead2a0e
- modifications for using new rpm automation.

* Wed Feb 12 2003 Tomasz Pala <gotar@pld-linux.org> 8ea69cf
- removed CVS directory from %doc

* Mon Nov 25 2002 ankry <ankry@pld-linux.org> 396de7a
- corrected requirement in static subpackage

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> c0d9191
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

* Sun Jul 14 2002 Jakub Bogusz <qboosh@pld-linux.org> 729c484
- added using %%{__make} macro.

* Fri Jul 12 2002 ankry <ankry@pld-linux.org> 260f8f4
- cleaning (s/xlHtml/xlhtml/)
- new %%doc
- fixed file list (%%doc)

* Fri Jul 12 2002 djrzulf <djrzulf@pld-linux.org> 1d09411
- updated to 0.2.7.0,
- some cosmetics.

* Fri Jul 12 2002 djrzulf <djrzulf@pld-linux.org> fd680ff
- the project is now continued as xlhtml,

